package it.html.oauth.oauthclient;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import com.abubusoft.kripton.android.Logger;

import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;

import java.util.Map;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import it.html.oauth.oauthclient.events.CompleteLoginEvent;
import it.html.oauth.oauthclient.model.User;

public class MainActivity extends AppCompatActivity {

    @BindView(R.id.btnLogin)
    public Button btnLogin;

    @BindView(R.id.tvInfo)
    public TextView tvInfo;


    @OnClick(R.id.btnLogin)
    public void onClick(View view) {
        BindOAuthClientSharedPreferences sp=BindOAuthClientSharedPreferences.instance();
        sp.refresh();
        if (sp.user()!=null) {
            sp.refresh().edit().putUser(null).commit();

            tvInfo.setText("Effettuare il login");
            btnLogin.setText("Login");
        } else {
            Intent intent = new Intent(this, LoginActivity.class);
            startActivity(intent);
        }


    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        ButterKnife.bind(this);
    }

    //private EventBus bus = EventBus.getDefault();

    @Override
    public void onResume() {
        super.onResume();

        Logger.info("*** RELOAD ");
        BindOAuthClientSharedPreferences sp=BindOAuthClientSharedPreferences.instance();
        sp.refresh().user();
        if (sp.user()!=null) {
            User user=sp.user();

            tvInfo.setText("Benvenuto "+user.getEmail());
            btnLogin.setText("Logout");
        } else {
            tvInfo.setText("Effettuare il login");
            btnLogin.setText("Login");
        }

    }


    @Override
    protected void onPause() {
        super.onPause();

        //bus.unregister(this);
    }

}
