package it.html.oauth.oauthclient;

import android.app.Application;
import android.content.Context;

import com.abubusoft.kripton.android.KriptonLibrary;
import com.abubusoft.kripton.retrofit2.KriptonBinderConverterFactory;

import org.greenrobot.eventbus.EventBus;

import retrofit2.Retrofit;

/**
 * Created by xcesco on 22/01/2018.
 */

public class OAuthClientApplication extends Application {
    private static Context context;

    public static UrlResolver getUrlResolver() {
        return urlResolver;
    }

    public static LoginRestService getLoginRestService() {
        return loginRestService;
    }

    private static UrlResolver urlResolver;

    private static LoginRestService loginRestService;

    public static Context getContext() {
        return context;
    }

    @Override
    public void onCreate() {
        super.onCreate();

        context=this;
        
        urlResolver=new UrlResolver(this);


        // inizializziamo event bus
        EventBus.builder().addIndex(new OAuthClientEventBusIndex()).installDefaultEventBus();
        
        // inizializziamo kripton
        KriptonLibrary.init(this);
        
        // inizializziamo reotrfit
        Retrofit retrofit = new Retrofit.Builder()
                .client(NetworkClient.instance())
                .baseUrl(urlResolver.URL_BASE)
                .addConverterFactory(KriptonBinderConverterFactory.create())
                .build();

        loginRestService = retrofit.create(LoginRestService.class);
    }
}
